Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xpath.functions
Class FuncSystemProperty

    java.lang.Object
      |
      +--org.apache.xpath.Expression
            |
            +--org.apache.xpath.functions.Function
                  |
                  +--org.apache.xpath.functions.FunctionOneArg
                        |
                        +--org.apache.xpath.functions.FuncSystemProperty

public class FuncSystemProperty
extends FunctionOneArg

Execute the SystemProperty() function.

See Also:
  Serialized Form
Usage:
  **For advanced use only**

Constructor Summary
`FuncSystemProperty()`

Method Summary
`XObject` | `execute(XPathContext xctxt)` Execute the function.
`void` | `loadPropertyFile(java.lang.String file, java.util.Properties target)` Retrieve a propery bundle from a specified file

Methods inherited from class org.apache.xpath.functions.FunctionOneArg
`callArgVisitors, canTraverseOutsideSubtree, checkNumberArgs, deepEquals, fixupVariables, getArg0, getExpression, setArg, setExpression`

Methods inherited from class org.apache.xpath.functions.Function
`callVisitors, postCompileStep`

Methods inherited from class org.apache.xpath.Expression
`asIterator, asIteratorRaw, asNode, assertion, bool, error, execute, execute, execute, executeCharsToContentHandler, exprAddChild, exprGetChild, exprGetNumChildren, exprGetParent, exprSetParent, getColumnNumber, getExpressionOwner, getLineNumber, getPublicId, getSystemId, isNodesetExpr, isStableNumber, num, warn, xstr`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FuncSystemProperty

    public FuncSystemProperty()

Method Detail

### execute

    public XObject execute(XPathContext xctxt)
                    throws TransformerException

  Execute the function. The function must return a valid object.
  Parameters:
    `xctxt` - The current execution context.
  Returns:
    A valid XObject.
  Throws:
    TransformerException -
  Overrides:
    execute in class Function

### loadPropertyFile

    public void loadPropertyFile(java.lang.String file,
                                 java.util.Properties target)

  Retrieve a propery bundle from a specified file
  Parameters:
    `file` - The string name of the property file. The name should already be fully qualified as path/filename
    `target` - The target property bag the file will be placed into.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.